<div>
    <div class="page">
        <div class="main">
            <div class="mapRequest">
                <div class="searchIcons">
                    <div class="inputSearch">
                        <input style="z-index: 99;" id="inputMap" class="searchMap fz15-R" ng-model="search"
                               placeholder="{{ 'Search location' | translate }}"
                               ng-click="searchPosition(true);searchRes.toggleShow =! searchRes.toggleShow ">
                        <a href="#" ng-click="goBack()" style="z-index: 99;" class="arrowBack"></a>
                    </div>
                </div>
                <div id="mapRequest" >
                    <div id="createRequestMap" class="input-map"></div>
                    <div class="marker" ng-click="sLocation()">
                        <div class="circleMarker" ></div>
                    </div>
                    <div class="getPosition skyBlue2" ng-class="{'helpHide' : info.toggle}">
                        <img src="assets/img3.0/getposition.svg">
                    </div>
                    <div  class="helpContainer" ng-class="{'helpHide' : info.toggle}">
                        <div class="help fz13-R">
                            <span class="fz13-B text-niceBlue">{{ 'Drag map to select location' | translate }}</span>
                            <span class="icon-help">
                                <img src="assets/img3.0/icons8Info.svg">
                             </span>
                        </div>
                    </div>
                </div>

                <div class="requestOverlay" ng-class="{'overlayOpac' : info.toggle}"
                     ng-click="info.toggle = !info.toggle"></div>
                <div ng-if="serviceInfo.service.service_request_id != 99999" class="request-BottomMap d-block"
                     ng-class="{'request-BottomShowen' : info.toggle}"
                     ng-hide="marker.toggleShow">
                    <div class="service-info w-100">

                        <div class="service-infoHeader skyBlue2 w-100 d-block" ng-click="info.toggle =!info.toggle">
                            <div class="dividerMap"></div>
                            <div class="service-info-text text-center">
                                <span class="fz20-R text-white">{{ 'Service Info' | translate }}</span>
                            </div>
                        </div>
                        <div class="service-infoBody">
                            <div class="services-list">
                            <span class="list-icon">
                                <img src="assets/img3.0/{{serviceInfo.category.gear}}" alt="service icon">
                            </span>
                                <div class="list-link">
                                    <a class="fz16-B list-link greyishBrown" href="#">{{(currentLang == 'ar')? serviceInfo.service.service_title_ar : serviceInfo.service.service_title_en}}</a>
                                    <div class="service-cat">
                                        <span class="fz12-B {{serviceInfo.category.backgroundColor}} text-white">{{ (currentLang == 'ar')? serviceInfo.category.titleAR : serviceInfo.category.title}}</span>
                                    </div>
                                </div>
                            </div>
                            <div class="service-description">
                        <span class="greyishBrown">
                            {{ (currentLang == 'ar')? serviceInfo.service.description_ar : serviceInfo.service.description_en}}
                        </span>
                            </div>
                            <div class="devider"></div>
                            <div class="request-iconHolder mb-4">
                                <img src="assets/img3.0/icons8Clock.svg" alt="service icon">
                                <div class="circularSTD fz16-R requestdetails">
                                    <div class="circularSTDbook fz16-R">{{ 'Resolution time' | translate }}:</div>
                                </div>
                                <div class="azure circularSTDmedium request-detailsD"> {{serviceInfo.service.CalculatedSLA}} {{ 'working days' | translate }}</div>
                            </div>
                            <div class="request-iconHolder">
                                <img src="assets/img3.0/icons8Building.svg" alt="service icon" class="buildingIcon">
                                <div class="circularSTD fz16-R requestdetails">
                                    <div class="circularSTDbook fz16-R">{{ 'Responsible department' | translate }}:</div>
                                </div>
                                <div class="azure circularSTDmedium request-detailsD">{{ (currentLang == 'ar') ? serviceInfo.service.organization_unit_ar : serviceInfo.service.organization_unit_en }}</div>
                            </div>
                            <div class="devider mb-0"></div>
                        </div>
                    </div>
                </div>
                <div class="location-Service">
                    <div class="sLocationContainer">
                        <div class="sLocation-header bg-white p-3 pl-3 pr-3">
                            <div class="w-50">
                                <img src="assets/img3.0/marker.png" class="insideMarker"><span
                                    class="fz15-R circularSTDbook ml-2 windowsBlue align-middle">{{ 'Locations' | translate }}</span>
                            </div>

                            <div style="direction: ltr !important;" ng-if="makani" ng-click="openWebsite()" class="w-50 text-right">
                                <img src="assets/img3.0/makan-label.png" class="makanImg" alt="makan">
                                <span class="number align-text-bottom fz15-R circularSTDbook">: {{makani}}</span>
                            </div>
                        </div>
                        <div class="sLocation-body w-100 bg-white pl-3 pr-3 pb-4">
                            <div  class="fz16-R greyishBrown text-left circularSTDbook">{{locationName}}</div>
                            <div class="searchAdress fz14-R greyishBrown circularSTDbook">{{formatted_address}}</div>
                                <form name="serviceInfoForm">
                                    <div style="margin-bottom: 10px !important;margin-top: 10px !important;" class="locationSearch mt-4 mb-4">
                                        <input type="text" name="locationDetail" ng-model="locationDetail" placeholder="{{ 'Name your location' | translate }}" required>
                                        <span style="color: red;" ng-show="serviceInfoForm.locationDetail.$touched && serviceInfoForm.locationDetail.$invalid">{{ 'Location detail is required.' | translate }}</span>
                                    </div>
                                    <a
                                            ng-click="sendToRequest(serviceInfo, makani, locationName, formatted_address,location, makaniInfo, locationDetail)"
                                            style="height: 35px;"
                                            class="btn btn--goto skyBlue2 fz15-B"
                                            >{{ 'Continue' | translate }}</a>

                                </form>
                        </div>
                    </div>
                </div>
                <div class="search-container" style="z-index: 999;" ng-class="{'hideSearch' : searchRes.toggleShow}">
                    <input  id="pac-input"  class="searchMap fz17-R" ng-change="searchPosition()" ng-model="search"  placeholder="{{ 'Search location' | translate }}"> <!-- ng-change="searchPosition()" -->
                    <a href="#" ng-click="searchRes.toggleShow =! searchRes.toggleShow ; searchOpened()"
                       class="arrowBack arrowBack-map"></a>
                    <a href="#" ng-click="search = ''"  class="closeSearch"></a>
                </div>
            </div>
        </div>
    </div>
</div>








